/*
 *
 * Copyright (c) 2004-2005 Guido Falsi <mad@madpilot.net>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: Common.h,v 1.11 2005/03/03 22:17:27 mad Exp $
 *
 */

#ifndef _COMMON_H_
#define _COMMON_H_

void * GetObjectPtr(UInt16 objectID);

FieldPtr NumFldSetInt(UInt16 field, Int32 value);
Int32 NumFldGetInt(UInt16 field);
void FldDestroy(UInt16 field);
FieldPtr NEFldNumSetInt(UInt16 field, Int32 value);
FieldPtr NEFldNumSetDouble(UInt16 field, double value);
void NEFldDestroy(UInt16 field);
double NumFldGetDouble(UInt16 field);
FieldPtr NumFldSetDouble(UInt16 field, double value);
void FldAddPoints(UInt16 field);

Boolean TblScrollTable(TablePtr table, Int16 delta, Int16 *selItem, Int16 *selRow, Boolean *selIsOffScreen);
void ListFormScrollTable(TablePtr tbl, ScrollBarPtr scl, Int16 *tItem, Int16 *selItem, Int16 *selRow, Boolean *selIsOffScreen, EventPtr e, UInt8 how);
void TblSelectTableItem(TablePtr tbl, UInt16 numItems, Int16 *tItem, Int16 *selItem, Int16 *selRow, Int16 *selCol, Boolean *selIsOffScreen, EventPtr e);

#endif /* ndef _COMMON_H_ */
