/*
 *
 * Copyright (c) 2004-2005 Guido Falsi <mad@madpilot.net>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: PSSdb.h,v 1.14 2005/03/12 05:02:42 mad Exp $
 *
 */

#ifndef _PSSDB_H_
#define _PSSDB_H_

Err OpenDBs();
void CloseDBs();
Err MatchDBCreateMatch(MatchPtr unpacked, UInt16 *index);
Err StageDBCreateStage(StagePtr unpacked, UInt16 match, Int16 *listindex);
Err CompDBCreateComp(CompPtr unpacked, UInt16 match, Int16 *listindex);

Err MatchDBDeleteMatch(UInt16 index);
Err StageDBDeleteStage(UInt16 match, Int16 listindex);
Err CompDBDeleteComp(UInt16 match, Int16 listindex);

Err MatchDBUpdateMatch(MatchPtr unpacked, UInt16 *index);
Err StageDBUpdateStage(StagePtr unpacked, UInt16 match, Int16 listindex);
Err CompDBUpdateComp(CompPtr unpacked, UInt16 match, Int16 listindex);
Err ScoreDBUpdateScore(ScorePtr unpacked, UInt16 match, Int16 comp, Int16 stage);

Err MatchDBTableDataQuery(MatchTableDataPtr *DataArray);
Err MatchDBTableDataFree(MatchTableDataPtr *DataArray, Boolean new);
Err StageDBTableDataQuery(UInt16 mindex, StageTableDataPtr *DataArray);
Err StageDBTableDataFree(UInt16 mindex, StageTableDataPtr *DataArray, Boolean new);
Err CompDBTableDataQuery(UInt16 mindex, CompTableDataPtr *DataArray);
Err CompDBTableDataFree(UInt16 mindex, CompTableDataPtr *DataArray, Boolean new);
Err ScoreTableDataQuery(UInt16 mindex, Int16 stage, ScoreTableDataPtr **DataArray);
Err ScoreTableDataFree(UInt16 mindex, ScoreTableDataPtr **DataArray);
Err ResultsTableDataQuery(UInt16 mindex, ResultTableDataPtr **DataArray);
Err ResultsTableDataFree(UInt16 mindex, ResultTableDataPtr **DataArray);

Err MatchDBGetMatch(UInt16 index, MatchPtr record);
Err StageDBGetStage(UInt16 match, Int16 listindex, StagePtr record);
Err CompDBGetComp(UInt16 match, Int16 listindex, CompPtr record);
Err ScoreDBGetScore(UInt16 match, Int16 stage, Int16 comp, ScorePtr score);

void ResetCounters();
UInt16 MatchDBNumRecords();
UInt16 StageInMatchDBNumRecords(UInt16 index);
UInt16 CompInMatchDBNumRecords(UInt16 index);

UInt32 GetMatchUID(UInt16 index);

Int16 StageDBGetIndexInList(UInt16 index);
Int16 CompDBGetIndexInList(UInt16 index);

UInt32 StageDBGetLastUID(UInt16 index);
UInt32 CompDBGetLastUID(UInt16 index);

Boolean CompDBIsCompMajor(UInt16 match, Int16 comp);
UInt8 StageDBStageRounds(UInt16 match, Int16 stage);
Int32 StageDBGetStageMpts(UInt16 match, Int16 stage);

#endif /* ndef _PSSDB_H */
