/*
 *
 * Copyright (c) 2004-2005 Guido Falsi <mad@madpilot.net>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: PalmSSRsc.h,v 1.20 2005/03/12 05:02:42 mad Exp $
 *
 */

#ifndef _PALMSSRSC_H_
#define _PALMSSRSC_H_

/* Forms */
#define ScoreInputForm		1000
#define MatchListForm		1001
#define MatchNewForm		1002
#define StageListForm		1003
#define StageNewForm		1004
#define CompListForm		1005
#define CompNewForm		1006
#define ResultsForm		1007

/* Menus */
#define SIF_Menu		1050
#define SIF_Reset_Menu		1100
#define About_Menu		1101
#define Base_Menu		1200
#define Lists_Menu		1201

/* Tables */
#define MatchesList		1250
#define StagesList		1251
#define CompsList		1252
#define ResultsList		1253

/* Scrollers */
#define MatchesList_Scroll	1350
#define StagesList_Scroll	1351
#define CompsList_Scroll	1352
#define ResultsList_Scroll	1353

/* Bitmaps */
#define IPSCTarget		1500

/* Fields */
#define SIF_ACount		2000
#define SIF_CCount		2001
#define SIF_DCount		2002
#define SIF_MCount		2003
#define SIF_NCount		2004
#define SIF_PCount		2005
#define SIF_TCount		2006
#define SIF_Points		2007
#define SIF_HFResult		2008
#define MNF_Name		2009
#define MNF_Place		2010
#define MNF_Stages		2011
#define MNF_Comps		2012
#define SNF_Name		2013
#define SNF_Number		2014
#define SNF_Papers		2015
#define SNF_Irons		2016
#define SNF_Disapp		2017
#define SNF_Penalties		2018
#define SNF_MinRounds		2019
#define SNF_MaxPoints		2020
#define CNF_Name		2021

/* Buttons */
#define SIF_Ok			3000
#define SIF_Cancel		3001
#define SIF_Reset		3002
#define MLF_New			3003
#define MLF_Edit		3004
#define MLF_Del			3005
#define MLF_Next		3006
#define MLF_Results		3007
#define MNF_Cancel		3008
#define MNF_Ok			3009
#define SLF_Prev		3010
#define SLF_New			3011
#define SLF_Edit		3012
#define SLF_Del			3013
#define SLF_Next		3014
#define SLF_Results		3015
#define SNF_Cancel		3016
#define SNF_Ok			3017
#define CLF_Prev		3018
#define CLF_New			3019
#define CLF_Edit		3020
#define CLF_Del			3021
#define CLF_Next		3022
#define CLF_Results		3023
#define CNF_Cancel		3024
#define CNF_Ok			3025
#define RLF_Matches		2026

/* PushButtons */

/* Competitor's divisions */
#define Div_Group		1
#define CNF_D_Prod		4000
#define CNF_D_Stand		4001
#define CNF_D_Mod		4002
#define CNF_D_Open		4003

/* Power Factors */
#define PF_Group		2
#define CNF_PF_Minor		4004
#define CNF_PF_Major		4005

/* CheckBoxes */
#define CNF_DQ_CBox		4100

/* Triggers and Lists */
#define MNF_Date_Trigger	5000
#define MNF_Date_List		5001

/* Alerts */
#define About_Alert		6000
#define Corrupt_Alert		6001
#define WrongScore_Alert	6002

/* For the "system" edit menu */
#define sysEditMenuID		10000
#define sysEditMenuUndoCmd	10000
#define sysEditMenuCutCmd	10001
#define sysEditMenuCopyCmd	10002
#define sysEditMenuPasteCmd	10003
#define sysEditMenuSelectAllCmd	10004
#define sysEditMenuSeparator	10005
#define sysEditMenuKeyboardCmd	10006
#define sysEditMenuGraffitiCmd	10007

#endif /* ndef _PALMSSRSC_H_ */
